uk.ac.starlink.auth

## Enum AuthType

- java.lang.Object
- - java.lang.Enum<AuthType>
  - - uk.ac.starlink.auth.AuthType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuthType>

      public enum AuthType
      extends java.lang.Enum<AuthType>

  Enumerates different types of authentication available for a connection.
  Since:
    7 Feb 2022

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` Only anonymous operation is available.
    `OPTIONAL` Both authenticated and anonymous operation are permitted.
    `REQUIRED` Authentication is necessary for use.
    `UNKNOWN` Information not available.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuthType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AuthType NONE

      Only anonymous operation is available.

    - #### OPTIONAL

          public static final AuthType OPTIONAL

      Both authenticated and anonymous operation are permitted.

    - #### REQUIRED

          public static final AuthType REQUIRED

      Authentication is necessary for use.

    - #### UNKNOWN

          public static final AuthType UNKNOWN

      Information not available.

  - ### Method Detail

    - #### values

          public static AuthType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthType c : AuthType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null